List DNSSEC jobs
GET /dns/{domain}/dnssec/jobsOperation ID: ListDNSSECJobsByDomain
Retrieve recent registry DNSSEC jobs for the specified domain.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
domain | fqdn_relaxed | yes | - |
Responses
Section titled “Responses”| Status | Type | Description |
|---|---|---|
200 | dnssecJobResponse | DNSSEC job list |
401 | Error | Unauthorized |
404 | Error | Domain not found |
500 | Error | Unexpected error |
Response body
Section titled “Response body”| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | yes | Success indicator |
code | integer | no | Response/Error Code |
response | dnssecJobResponse[] | no | - |
Example
Section titled “Example”curl -X GET "https://api.regfish.com/dns/<domain>/dnssec/jobs" \ -H "x-api-key: $REGFISH_API_KEY"Build a request
Section titled “Build a request”Fill in values - the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.